VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "comdlg32.ocx"
Begin VB.Form frmPreferences 
   BorderStyle     =   3  'Fixed Dialog
   Caption         =   "Preferences"
   ClientHeight    =   2790
   ClientLeft      =   45
   ClientTop       =   435
   ClientWidth     =   5415
   ControlBox      =   0   'False
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2790
   ScaleWidth      =   5415
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin MSComDlg.CommonDialog CDialog 
      Left            =   4800
      Top             =   1080
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.CommandButton btnBrowse 
      Caption         =   "&Browse"
      Height          =   375
      Left            =   4080
      TabIndex        =   11
      Top             =   2280
      Width           =   1215
   End
   Begin VB.CheckBox chkLog 
      Caption         =   "Create a Log File"
      Height          =   195
      Left            =   120
      TabIndex        =   10
      Top             =   2040
      Width           =   2055
   End
   Begin VB.TextBox txtLogFilename 
      BackColor       =   &H8000000F&
      Height          =   285
      Left            =   120
      Locked          =   -1  'True
      TabIndex        =   9
      Top             =   2280
      Width           =   3135
   End
   Begin VB.ComboBox cmbOverwrite 
      Height          =   315
      ItemData        =   "frmPreferences.frx":0000
      Left            =   1560
      List            =   "frmPreferences.frx":000D
      Style           =   2  'Dropdown List
      TabIndex        =   8
      Top             =   1440
      Width           =   1215
   End
   Begin VB.ComboBox cmbTransfer 
      Height          =   315
      ItemData        =   "frmPreferences.frx":0022
      Left            =   1560
      List            =   "frmPreferences.frx":002C
      Style           =   2  'Dropdown List
      TabIndex        =   5
      Top             =   840
      Width           =   1695
   End
   Begin VB.ComboBox cmbConnection 
      Height          =   315
      ItemData        =   "frmPreferences.frx":003F
      Left            =   1560
      List            =   "frmPreferences.frx":0049
      Style           =   2  'Dropdown List
      TabIndex        =   3
      Top             =   480
      Width           =   1695
   End
   Begin VB.CommandButton btnCancel 
      Caption         =   "&Cancel"
      Height          =   375
      Left            =   4080
      TabIndex        =   1
      Top             =   600
      Width           =   1215
   End
   Begin VB.CommandButton btnOk 
      Caption         =   "&Save"
      Height          =   375
      Left            =   4080
      TabIndex        =   0
      Top             =   120
      Width           =   1215
   End
   Begin VB.Label Label4 
      Caption         =   "Overwrite Existing:"
      Height          =   255
      Left            =   120
      TabIndex        =   7
      Top             =   1440
      Width           =   1335
   End
   Begin VB.Label Label3 
      Caption         =   "Transfer Type:"
      Height          =   255
      Left            =   120
      TabIndex        =   6
      Top             =   840
      Width           =   1335
   End
   Begin VB.Label Label2 
      Caption         =   "Defaults:"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   255
      Left            =   120
      TabIndex        =   4
      Top             =   240
      Width           =   855
   End
   Begin VB.Label Label1 
      Caption         =   "Connection Type:"
      Height          =   255
      Left            =   120
      TabIndex        =   2
      Top             =   480
      Width           =   1335
   End
End
Attribute VB_Name = "frmPreferences"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private Sub btnBrowse_Click()
    CDialog.DialogTitle = "Save Log To"
    CDialog.DefaultExt = "*.txt"
    CDialog.Filter = "Text Files (*.txt)|*.txt"
    CDialog.Filename = "log"
    CDialog.InitDir = App.Path
    CDialog.ShowSave
    
    If CDialog.Filename <> "log" Then
        txtLogFilename.Text = CDialog.Filename
        chkLog.Value = 1
    End If
End Sub

Private Sub btnCancel_Click()
    Unload Me
End Sub

Private Sub btnOk_Click()
    If cmbConnection.Text = "Active" Then
        Registry.WriteRegValue HKEY_LOCAL_MACHINE, "Software\AutoFTP", "Passive", False
    Else
        Registry.WriteRegValue HKEY_LOCAL_MACHINE, "Software\AutoFTP", "Passive", True
    End If
    
    If cmbTransfer.Text = "ASCII" Then
        Registry.WriteRegValue HKEY_LOCAL_MACHINE, "Software\AutoFTP", "ASCII", True
    Else
        Registry.WriteRegValue HKEY_LOCAL_MACHINE, "Software\AutoFTP", "ASCII", False
    End If
    
    Registry.WriteRegValue HKEY_LOCAL_MACHINE, "Software\AutoFTP", "Overwrite", cmbOverwrite.Text
    Registry.WriteRegValue HKEY_LOCAL_MACHINE, "Software\AutoFTP", "Log", chkLog.Value
    If chkLog.Value = 1 Then
        Registry.WriteRegValue HKEY_LOCAL_MACHINE, "Software\AutoFTP", "LogFile", txtLogFilename.Text
    Else
        Registry.DeleteValue HKEY_LOCAL_MACHINE, "Software\AutoFTP", "LogFile"
    End If
    
    Unload Me
End Sub

Private Sub Form_Load()
On Error Resume Next

    If Registry.GetRegValue(HKEY_LOCAL_MACHINE, "Software\AutoFTP", "Passive") Then
        cmbConnection.Text = "Passive"
    Else
        cmbConnection = "Active"
    End If
    
    If Registry.GetRegValue(HKEY_LOCAL_MACHINE, "Software\AutoFTP", "ASCII") Then
        cmbTransfer.Text = "ASCII"
    Else
        cmbTransfer.Text = "Binary"
    End If
    
    cmbOverwrite.Text = Registry.GetRegValue(HKEY_LOCAL_MACHINE, "Software\AutoFTP", "Overwrite")
    chkLog.Value = Registry.GetRegValue(HKEY_LOCAL_MACHINE, "Software\AutoFTP", "Log")
    If chkLog.Value = 1 Then _
        txtLogFilename.Text = Registry.GetRegValue(HKEY_LOCAL_MACHINE, "Software\AutoFTP", "LogFile")
    
End Sub
