VERSION 5.00
Begin VB.UserControl RemoteDialog 
   ClientHeight    =   480
   ClientLeft      =   0
   ClientTop       =   0
   ClientWidth     =   495
   InvisibleAtRuntime=   -1  'True
   ScaleHeight     =   480
   ScaleWidth      =   495
   Begin VB.PictureBox Picture1 
      BorderStyle     =   0  'None
      Height          =   495
      Left            =   0
      Picture         =   "RemoteDialog.ctx":0000
      ScaleHeight     =   495
      ScaleWidth      =   495
      TabIndex        =   0
      Top             =   0
      Width           =   495
   End
End
Attribute VB_Name = "RemoteDialog"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True

Public Sub Show()
    frmMain.Show 1
End Sub

Public Property Get Server() As String
    Server = ctlServer
End Property

Public Property Let Server(InValue As String)
    ctlServer = InValue
    PropertyChanged "Server"
End Property

Public Property Get User() As String
    User = ctlUser
End Property

Public Property Let User(InValue As String)
    ctlUser = InValue
    PropertyChanged "User"
End Property

Public Property Get Password() As String
    Password = ctlPassword
End Property

Public Property Let Password(InValue As String)
    ctlPassword = InValue
    PropertyChanged "Password"
End Property

Public Property Get Filename() As String
    Filename = ctlFilename
End Property

Public Property Get Path() As String
    Path = ctlPath
End Property

Public Property Get InitFolder() As String
    InitFolder = ctlInitFolder
End Property

Public Property Get CancelError() As Boolean
    CancelError = ctlCancelError
End Property

Public Property Let InitFolder(InValue As String)
    ctlInitFolder = InValue
    PropertyChanged "InitFolder"
End Property

Private Sub UserControl_ReadProperties(PropBag As PropertyBag)
    With PropBag
        ctlUser = .ReadProperty("User", "")
        ctlPassword = .ReadProperty("Password", "")
        ctlServer = .ReadProperty("Server", "")
    End With
End Sub

Private Sub UserControl_Resize()
    UserControl.Width = 495
    UserControl.Height = 480
End Sub

Private Sub UserControl_WriteProperties(PropBag As PropertyBag)
    With PropBag
        Call .WriteProperty("User", ctlUser)
        Call .WriteProperty("Password", ctlPassword)
        Call .WriteProperty("Server", ctlServer)
    End With
End Sub
